Subject: Re: [bug#77909] [PATCH rust-team v2] gnu: Add television.

From: Gabriel Santos <[email-masked]>
Date: Sun, 04 May 2025 16:38:38 -0300

Em 2 de maio de 2025 21:40:18 BRT, Hilton Chain <[email-masked]> escreveu:
>On Sun, 20 Apr 2025 10:16:38 +0800,
>Gabriel Santos wrote:
>>
>> * gnu/packages/rust-apps.scm (television): New variable.
>> * gnu/packages/rust-crates.scm (television-cargo-inputs): New variable.
>>
>> Change-Id: I46ce96be71339fe3c1eb127e2f520b62648c4652
>> ---
>> Removed the TUI abbreviation (using the longer version would take up too much
>> space).
>> Replaced @code{television} with @command{tv}.
>> Replaced single quotes with double quotes.
>> Removed the reference to @code{bat}.
>>  gnu/packages/rust-apps.scm   |  31 +++
>>  gnu/packages/rust-crates.scm | 364 +++++++++++++++++++++++++++++++++++
>>  2 files changed, 395 insertions(+)
>
>One dependency, rust-bat, uses pregenerated binary files in the build process.
>The dependency information is hidden from us, this should be avoided.
>
>I made exceptions for packages that were available before, but this issue need
>to be addressed eventually.
>
>I'll hold the patch until then.

Thanks for catching this.

I see that you still haven't merged the pay-respects[1] patch
(no need rush on that, I have it on my own channel already anyway).
Would it be ok if I sent a v3 with updating to the most recent version[2]
and with the added synopsis markup you mentioned?

(Not sure how you would rephrase the descriptionn maybe 
"guix locate --update" instead of just "guix locate"?)

[1] <https://issues.guix.gnu.org/77802#10>
[2] <https://github.com/iffse/pay-respects/releases/tag/v0.7.6>

-- 
Gabriel Santos